> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アノテーションキュー取得

> 特定のannotation queueを取得します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json get /annotation_queues/{queue_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/{queue_id}:
    get:
      tags:
        - Annotation Queues
      summary: アノテーションキュー取得
      description: 特定のannotation queueを取得します。
      operationId: annotation_queue_read_annotation_queues__queue_id__get
      parameters:
        - in: path
          name: queue_id
          required: true
          schema:
            title: Queue Id
            type: string
        - in: query
          name: project_id
          required: true
          schema:
            title: Project Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueReadRes'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueReadRes:
      description: アノテーションキューを取得した際のレスポンス。
      properties:
        queue:
          $ref: '#/components/schemas/AnnotationQueueSchema'
      required:
        - queue
      title: AnnotationQueueReadRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AnnotationQueueSchema:
      description: アノテーションキューのレスポンス用スキーマ。
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        description:
          title: Description
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        project_id:
          title: Project Id
          type: string
        scorer_refs:
          items:
            type: string
          title: Scorer Refs
          type: array
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - name
        - description
        - scorer_refs
        - created_at
        - created_by
        - updated_at
      title: AnnotationQueueSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````